/**
 *
 * Copyright 2003-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.apache.geronimo.jetty.connector;

import java.util.Arrays;

import org.apache.geronimo.gbean.GBeanInfo;
import org.apache.geronimo.gbean.GBeanInfoFactory;
import org.apache.geronimo.gbean.GConstructorInfo;
import org.apache.geronimo.jetty.JettyContainer;
import org.mortbay.http.ajp.AJP13Listener;

/**
 *
 *
 * @version $Revision: 1.3 $ $Date: 2004/03/10 09:58:56 $
 */
public class AJP13Connector extends JettyConnector {
    public AJP13Connector(JettyContainer container) {
        super(container, new AJP13Listener());
    }

    public static final GBeanInfo GBEAN_INFO;

    static {
        GBeanInfoFactory infoFactory = new GBeanInfoFactory("Jetty AJP13 Connector", AJP13Connector.class.getName(), JettyConnector.GBEAN_INFO);
        infoFactory.setConstructor(new GConstructorInfo(
                Arrays.asList(new Object[]{"JettyContainer"}),
                Arrays.asList(new Object[]{JettyContainer.class})));
        GBEAN_INFO = infoFactory.getBeanInfo();
    }

    public static GBeanInfo getGBeanInfo() {
        return GBEAN_INFO;
    }
}
